> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gank.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# fees api

> fee management and creator fee claims

# fees api

## fee preferences

```
GET /fees/preferences
```

returns your current fee preference settings.

```
POST /fees/preferences
```

save fee preferences (priority fee level, etc).

## network fees

```
GET /fees/network
```

returns current network fee estimates (priority fee percentiles).

## creator fees

pump.fun tokens generate creator fees. claim them here.

### check balance

```
GET /fees/creator
```

returns pending creator fee balance across all your tokens.

```json theme={null}
{
  "total_pending_lamports": 50000000,
  "total_pending_sol": 0.05,
  "wallets": [
    {
      "address": "ABC...",
      "pending_lamports": 50000000,
      "pending_sol": 0.05
    }
  ]
}
```

### claim

```
POST /fees/creator/claim
```

claims all pending creator fees to your dev wallet.
